> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.tabs.com/api-reference/projects/integrators-api-projects-v-31-controller-get-projects/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server. # List projects GET https://integrators.prod.api.tabsplatform.com/v3.1/projects Projects synced from the connected ERP (e.g. Sage Intacct). Can be populated on an obligation or billing term. A project may be tied to a single customer via customerId, or null for internal projects. Reference: https://docs.tabs.com/api-reference/projects/integrators-api-projects-v-31-controller-get-projects ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Query parameters - `page` (double, optional, default: 1) — Page number. Defaults to 1. - `limit` (double, optional, default: 50) — Rows per page. Defaults to 50. ## Response ### 200 Get projects - `payload` (V31ProjectsGetResponsesContentApplicationJsonSchemaPayload, required) — Response payload, will be empty when success is false - `success` (boolean, required) — Boolean with true=success, false=failure - `message` (string, required) — Plain-text description of the result - `error` (IntegratorsApiError, optional) — json element with any error messages or warnings ## Types ### V31ProjectsGetResponsesContentApplicationJsonSchemaPayload Response payload, will be empty when success is false ### IntegratorsApiError - `code` (double, required) — API response code - `message` (string, required) — API response message - `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error ### IntegratorsApiErrorDetails Additional details about the error ## Examples **Response** ```json { "payload": { "data": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "name": "Implementation", "fullName": "Acme Co:Implementation", "externalId": "123", "customerId": "123e4567-e89b-12d3-a456-426614174000" } ], "limit": 1.1, "totalItems": 1.1, "currentPage": 1.1 }, "success": true, "message": "string", "error": { "code": 1.1, "message": "string", "details": {} } } ``` **SDK Code** ```python import requests url = "https://integrators.prod.api.tabsplatform.com/v3.1/projects" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://integrators.prod.api.tabsplatform.com/v3.1/projects'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://integrators.prod.api.tabsplatform.com/v3.1/projects" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://integrators.prod.api.tabsplatform.com/v3.1/projects") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3.1/projects") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://integrators.prod.api.tabsplatform.com/v3.1/projects', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3.1/projects"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3.1/projects")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```